# -*- coding: utf-8 -*-
# get_weather.py
#
# Coded by: Koji KITANO <koji.kitano52@gmail.com>,
# Human Systems Laboratory, Department of Systems Science,
# Graduate School of Informatics, Kyoto University.

import json
import requests

# APIの場所
URL = 'http://api.openweathermap.org/data/2.5/weather'

# APIキー
API_KEY = '01c6775d1361acf40b4b33a7d9995db7'

def get_weather(lat, lon, url=URL, api_key=API_KEY):
    """ 現在の天気を取得する関数
    Arguments
    ---------
    lat: float
        lattitude
    lon: float
        longtitude

    Return
    ------
    result: integer
        0: 晴れ
        1: 雨
        2: 雪
        3: 雷雨
        4: 台風とか火山灰とか
        weather codeを変換
        参照: http://openweathermap.org/weather-conditions

    """
    params = {'APPID': api_key, 'lat': lat, 'lon': lon}

    response = requests.post(url, params=params, verify=False).json()

    weather = response['weather'][0]['id']

    group = weather // 100

    if group == 2:
        # 雷雨
        return 3
    elif group in [3, 5]:
        # 霧雨, 雨
        return 1
    elif group == 6:
        # 雪
        return 2
    else:
        if weather in [800, 801 ,802, 804, 951, 952, 953, 954, 955, 956]:
            # 晴れ，曇り
            return 0
        else:
            # 台風とか火山灰とかその他
            return 4



if __name__ == '__main__':
    res = get_weather(35.0262378,135.780817)
    print(res)
